Subject: Re: [bug#31036] [PATCH] gnu: Add Emacs dumb-jump

From: Sohom Bhattacharjee <[email-masked]>
Date: Wed, 11 Apr 2018 08:20:55 +0530

On Mon, Apr 09, 2018 at 04:12:07PM +0000, Maxim Cournoyer wrote:
> On April 9, 2018 3:00:08 PM UTC, Sohom Bhattacharjee es<[email-masked]> wrote:
> >I made the changes as suggested. However i can not get the tests
> >working. 
> >
> >I need some help with the tests. 
> >
> >whenever i compile this package i get these errors
> >
> >phase `unpack' succeeded after 0.0 seconds
> >starting phase `patch-usr-bin-file'
> >phase `patch-usr-bin-file' succeeded after 0.0 seconds
> >starting phase `patch-source-shebangs'
> >phase `patch-source-shebangs' succeeded after 0.0 seconds
> >starting phase `patch-generated-file-shebangs'
> >phase `patch-generated-file-shebangs' succeeded after 0.0 seconds
> >starting phase `check'
> >test suite not run
> >phase `check' succeeded after 0.0 seconds
> >starting phase `install'
> >`/tmp/guix-build-emacs-dumb-jump-0.5.2.drv-0/dumb-jump-0.5.2/dumb-jump.el'
> >-> 
> >`/gnu/store/7rwqglwmjf6dbgfq87n642acp14agwsr-emacs-dumb-jump-0.5.2/share/emacs/site-lisp/guix.d/dumb-jump-0.5.2/dumb-jump.el'
> >phase `install' succeeded after 0.0 seconds
> >starting phase `check'
> >Cannot open load file: No such file or directory, undercover
> >phase `check' failed after 0.1 seconds
> >builder for
> >`/gnu/store/sx8j4pi37d8i32m9hraahkbn1m0ckks6-emacs-dumb-jump-0.5.2.drv'
> >failed with exit code 1
> >@ build-failed
> >/gnu/store/sx8j4pi37d8i32m9hraahkbn1m0ckks6-emacs-dumb-jump-0.5.2.drv -
> >1 builder for 
> >`/gnu/store/sx8j4pi37d8i32m9hraahkbn1m0ckks6-emacs-dumb-jump-0.5.2.drv'
> >failed with exit code 1
> >guix build: error: build failed: build of
> >`/gnu/store/sx8j4pi37d8i32m9hraahkbn1m0ckks6-emacs-dumb-jump-0.5.2.drv'
> >failed
> 
> I believe this is because the ert-runner wrapper script completely overrides the EMACSLOADPATH env. variable used to make the different dependencies visible to Emacs in our emacs-build-system.
> 
> The fix to this particular bug is included in patch 0003 of a patch series waiting to be reviewed here: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=31018.
>  
> You might want to retry your test after applying that specific patch.
> 
> HTH,
> 
> Maxim
> Hello!

I applied the said patch and build guix. Then I tried to build dumb-jump. This led to the following error.

I think that the patch worked because this error says something about "noflet". (i might be wrong..)

Here is the error.

phase `unpack' succeeded after 0.0 seconds
starting phase `patch-usr-bin-file'
phase `patch-usr-bin-file' succeeded after 0.0 seconds
starting phase `patch-source-shebangs'
phase `patch-source-shebangs' succeeded after 0.0 seconds
starting phase `patch-generated-file-shebangs'
phase `patch-generated-file-shebangs' succeeded after 0.0 seconds
starting phase `check'
test suite not run
phase `check' succeeded after 0.0 seconds
starting phase `install'
`/tmp/guix-build-emacs-dumb-jump-0.5.2.drv-0/dumb-jump-0.5.2/dumb-jump.el' -> 
`/gnu/store/vvfvxp79ngf8a88saskp62aqqnfsmyav-emacs-dumb-jump-0.5.2/share/emacs/site-lisp/guix.d/dumb-jump-0.5.2/dumb-jump.el'
phase `install' succeeded after 0.0 seconds
starting phase `check'
Cannot open load file: No such file or directory, noflet
phase `check' failed after 0.2 seconds
builder for `/gnu/store/3n35rfqwsw3dl8y4zkfb4zh957diw3ax-emacs-dumb-jump-0.5.2.drv' failed with exit code 1
@ build-failed /gnu/store/3n35rfqwsw3dl8y4zkfb4zh957diw3ax-emacs-dumb-jump-0.5.2.drv - 1 builder for 
`/gnu/store/3n35rfqwsw3dl8y4zkfb4zh957diw3ax-emacs-dumb-jump-0.5.2.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/3n35rfqwsw3dl8y4zkfb4zh957diw3ax-emacs-dumb-jump-0.5.2.drv' failed

Thanks,

Sohom!